package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.Feedback;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.PageQuery;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.Update;
import org.jfw.apt.orm.annotation.dao.param.Alias;
import org.jfw.apt.orm.annotation.dao.param.GtEq;
import org.jfw.apt.orm.annotation.dao.param.LtEq;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2017/7/25.
 */
@DAO
public interface FeedbackDao {

    @Update
    int update(Connection con, Feedback feedback) throws SQLException;

    @SelectOne
    @Nullable
    Feedback query(Connection con, long id) throws SQLException;

    @PageQuery
    @OrderBy(" ORDER BY create_time DESC")
    PageQueryResult<Feedback> query(Connection con,@Nullable String state, @Nullable @GtEq @Alias("createTime") String bt, @Nullable @Alias("createTime") @LtEq String et, int pageSize, int pageNo) throws SQLException;

}
