package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.PaperAgree;
import org.jfw.apt.annotation.DefaultValue;
import org.jfw.apt.orm.annotation.dao.Column;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.QueryVal;
import org.jfw.apt.orm.core.defaultImpl.IntHandler;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2017/8/21.
 */
@DAO
public interface PaperAgreeDao {

    @QueryVal
    @From(PaperAgree.class)
    @Column(handlerClass = IntHandler.class, value = "COUNT(1)")
    @DefaultValue("0")
    int query(Connection con,String paperId) throws SQLException;

}
