package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.ResKeyWord;
import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2017/8/23.
 */
@DAO
public interface ResKeyWordDao {
    @Insert
    @Batch
    int[] insert(Connection con, ResKeyWord[] okws) throws SQLException;

    @DeleteWith
    @From(ResKeyWord.class)
    int delete(Connection con, String id) throws SQLException;
}
