package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.Watch;
import org.jfw.apt.annotation.DefaultValue;
import org.jfw.apt.orm.annotation.dao.Column;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.QueryVal;
import org.jfw.apt.orm.core.defaultImpl.IntHandler;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2017/7/27.
 */
@DAO
public interface WatchDao {
    @QueryVal
    @From(Watch.class)
    @Column(value = "COUNT(1)", handlerClass = IntHandler.class)
    @DefaultValue("0")
    public abstract int countProfessor(Connection con, String watchObject, short watchType) throws SQLException;
}
