package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/7/25.
 */
@PrimaryKey("id")
@Table
public class Feedback implements CreateTimeSupported {
    private long id;
    private String title;
    private int category;// int4 NOT NULL,
    private int schema;// int4 NOT NULL,
    private String param;// text NOT NULL,
    private String content;// text NOT NULL,
    private String createTime;// char(14) NOT NULL,
    private String state;// char(1) NOT NULL,
    private String userId;
    private String operator;
    private String operateTime;
    private String operateDescp;
    private String operatorName;
    private String userName;
    private String dataName;

    @Override
    public String getCreateTime() {
        return this.createTime;
    }

    @Override
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Column(DE.bigSerial)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Column(DE.Text_de)
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Column(DE.int_de)
    public int getCategory() {
        return category;
    }

    public void setCategory(int category) {
        this.category = category;
    }

    @Column(DE.int_de)
    public int getSchema() {
        return schema;
    }

    public void setSchema(int schema) {
        this.schema = schema;
    }

    @Column(DE.text_de)
    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    @Column(DE.text_de)
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Column(DE.singleChar)
    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    @Column(DE.Text_de)
    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Column(handlerClass=FixLenStringHandler.class,dbType="CHAR(32)",insertable=true,nullable=true,renewable=true,queryable=true)
    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    @Column(DE.Text_de)
    public String getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(String operateTime) {
        this.operateTime = operateTime;
    }

    @Column(DE.Text_de)
    public String getOperateDescp() {
        return operateDescp;
    }

    public void setOperateDescp(String operateDescp) {
        this.operateDescp = operateDescp;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }
}

