package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import com.ekexiu.console.basepo.DescpSupported;
import com.ekexiu.console.basepo.ModifyTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey("powerId")
@Table("view_my_customer")
public class MyCustomer  implements CreateTimeSupported,ModifyTimeSupported,DescpSupported {
	private String powerId;
	private String id;
	private String email;
	private String phone;
	private String subject;	
	private String industry;
	private String department;
	private String office;
	private String orgId;
	private String title;
	private String name;
	private String address;
	private Integer authentication;
	private String authType;
	private Integer authStatus;
	private Integer sortFirst;
	private Integer authStatusExpert;
	private String orgname;
	private String descp;
	private String createTime;
	private String powType;
	private String modifyTime;
	private String cuserId;
	private String cuserName;
	private String inviteCode;

	@Column(DE.String_de)
	public String getInviteCode() {
		return inviteCode;
	}

	public void setInviteCode(String inviteCode) {
		this.inviteCode = inviteCode;
	}

	//String_de大写的是允许为空，小写的是不允许为空
	@Column(DE.string_de)
	public String getPowerId() {
		return powerId;
	}
	public void setPowerId(String powerId) {
		this.powerId = powerId;
	}
	@Column(DE.String_de)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(DE.String_de)
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}
	@Column(DE.String_de)
	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}
	@Column(DE.String_de)
	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}
	@Column(DE.String_de)
	public String getIndustry() {
		return industry;
	}
	public void setIndustry(String industry) {
		this.industry = industry;
	}
	@Column(DE.String_de)
	public String getDepartment() {
		return department;
	}
	public void setDepartment(String department) {
		this.department = department;
	}
	@Column(DE.String_de)
	public String getOffice() {
		return office;
	}
	public void setOffice(String office) {
		this.office = office;
	}
	@Column(DE.String_de)
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	@Column(DE.String_de)
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	@Column(DE.String_de)
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Column(DE.String_de)
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	@Column(DE.Int_de)
	public Integer getAuthentication() {
		return authentication;
	}
	public void setAuthentication(Integer authentication) {
		this.authentication = authentication;
	}
	@Column(DE.String_de)
	public String getAuthType() {
		return authType;
	}
	public void setAuthType(String authType) {
		this.authType = authType;
	}
	@Column(DE.Int_de)
	public Integer getAuthStatus() {
		return authStatus;
	}
	public void setAuthStatus(Integer authStatus) {
		this.authStatus = authStatus;
	}
	@Column(DE.Int_de)
	public Integer getSortFirst() {
		return sortFirst;
	}
	public void setSortFirst(Integer sortFirst) {
		this.sortFirst = sortFirst;
	}
	@Column(DE.Int_de)
	public Integer getAuthStatusExpert() {
		return authStatusExpert;
	}
	public void setAuthStatusExpert(Integer authStatusExpert) {
		this.authStatusExpert = authStatusExpert;
	}

	@Column(DE.String_de)
	public String getOrgname() {
		return orgname;
	}
	public void setOrgname(String orgname) {
		this.orgname = orgname;
	}
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
	@Column(DE.String_de)
	public String getPowType() {
		return powType;
	}
	public void setPowType(String powType) {
		this.powType = powType;
	}
	@Column(DE.String_de)
	public String getCuserId() {
		return cuserId;
	}
	public void setCuserId(String cuserId) {
		this.cuserId = cuserId;
	}
	@Column(DE.String_de)
	public String getCuserName() {
		return cuserName;
	}
	public void setCuserName(String cuserName) {
		this.cuserName = cuserName;
	}
}
