package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/7/26.
 */
@PrimaryKey("id")
@Table
public class Ppatent implements CreateTimeSupported {
    private String id;// char(32) NOT NULL,
    private String name;// text COLLATE "zh_CN.utf8" NOT NULL,
    private long pageViews;// int8 DEFAULT 0 NOT NULL,
    private String code;// text NOT NULL,
    private String reqCode;// text NOT NULL,
    private String reqPerson;// text COLLATE "zh_CN.utf8",
    private String reqDay;// char(8) NOT NULL,
    private String pubDay;// char(8) NOT NULL,
    private String summary;// text COLLATE "zh_CN.utf8" NOT NULL,
    private String ref_param;// text ,
    private String keywords;// text COLLATE "zh_CN.utf8"
    private String createTime;
    private String authors;
    private long sortNum;
    private long shareId;

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Column(DE.text_de)
    public String getAuthors() {
        return authors;
    }

    public void setAuthors(String authors) {
        this.authors = authors;
    }

    @Column(DE.long_de)
    public long getSortNum() {
        return sortNum;
    }

    public void setSortNum(long sortNum) {
        this.sortNum = sortNum;
    }

    @Column(DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(DE.text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(DE.long_de)
    public long getPageViews() {
        return pageViews;
    }

    public void setPageViews(long pageViews) {
        this.pageViews = pageViews;
    }

    @Column(DE.Text_de)
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(DE.Text_de)
    public String getReqCode() {
        return reqCode;
    }

    public void setReqCode(String reqCode) {
        this.reqCode = reqCode;
    }

    @Column(DE.Text_de)
    public String getReqPerson() {
        return reqPerson;
    }

    public void setReqPerson(String reqPerson) {
        this.reqPerson = reqPerson;
    }

    @Column(DE.Text_de)
    public String getReqDay() {
        return reqDay;
    }

    public void setReqDay(String reqDay) {
        this.reqDay = reqDay;
    }

    @Column(DE.Text_de)
    public String getPubDay() {
        return pubDay;
    }

    public void setPubDay(String pubDay) {
        this.pubDay = pubDay;
    }

    @Column(DE.text_de)
    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    @Column(DE.Text_de)
    public String getRef_param() {
        return ref_param;
    }

    public void setRef_param(String ref_param) {
        this.ref_param = ref_param;
    }

    @Column(DE.Text_de)
    public String getKeywords() {
        return keywords;
    }

    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }
    @Column(DE.bigSerial)
    public long getShareId() {
        return shareId;
    }

    public void setShareId(long shareId) {
        this.shareId = shareId;
    }


}

