package com.ekexiu.console.system.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/8/17.
 */
@Table
public class ResearchAreaLog {
    private String professorId;
    private String caption;
    private String opreteProfessorId;
    private String createTime;

    @Column(DE.id_32)
    public String getOpreteProfessorId() {
        return opreteProfessorId;
    }

    public void setOpreteProfessorId(String opreteProfessorId) {
        this.opreteProfessorId = opreteProfessorId;
    }

    @Column(handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)", fixSqlValueWithInsert = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", insertable = true, nullable = false, queryable = true, renewable = false)
    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Column(DE.id_32)
    public String getProfessorId() {
        return professorId;
    }

    public void setProfessorId(String orgId) {
        this.professorId = orgId;
    }

    @Column(DE.string_de)
    public String getCaption() {
        return caption;
    }

    public void setCaption(String catpion) {
        this.caption = catpion;
    }


}
