package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import com.ekexiu.console.basepo.ModifyTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/6/5.
 */
@Table
@PrimaryKey("id")
public class ResourceTmp implements CreateTimeSupported,ModifyTimeSupported {
    private String id;
    //设备名称
    private String name;
    //所属领域
    private String domain;
    //所在单位
    private String comp;
    //厂商及型号规格
    private String spec;
    //图片
    private String img;
    //性能参数
    private String parameter;
    //主要功能及应用领域
    private String majorFunc;
    //仪器原值（万元）
    private Double cost;
    //启用时间
    private String enabledTime;
    //联系方式
    private String communication;
    //机构名称
    private String orgName;
    //负责人
    private String corporation ;
    //联系人
    private String linkman;
    //电话
    private String tel;
    //邮箱
    private String email;
    //地址
    private String addr;
    //邮编
    private String zipCode;
    private String createTime;
    private String modifyTime;

    @Column(DE.string_de)
    public String getId() {
        return id;
    }
    public void setId(String id) {
        this.id = id;
    }
    @Column(DE.text_de)
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    @Column(DE.Text_de)
    public String getDomain() {
        return domain;
    }
    public void setDomain(String domain) {
        this.domain = domain;
    }
    @Column(DE.Text_de)
    public String getComp() {
        return comp;
    }
    public void setComp(String comp) {
        this.comp = comp;
    }
    @Column(DE.Text_de)
    public String getSpec() {
        return spec;
    }
    public void setSpec(String spec) {
        this.spec = spec;
    }
    @Column(DE.Text_de)
    public String getImg() {
        return img;
    }
    public void setImg(String img) {
        this.img = img;
    }
    @Column(DE.Text_de)
    public String getParameter() {
        return parameter;
    }
    public void setParameter(String parameter) {
        this.parameter = parameter;
    }
    @Column(DE.Text_de)
    public String getMajorFunc() {
        return majorFunc;
    }
    public void setMajorFunc(String majorFunc) {
        this.majorFunc = majorFunc;
    }
    @Column(DE.Double_de)
    public Double getCost() {
        return cost;
    }
    public void setCost(Double cost) {
        this.cost = cost;
    }
    @Column(DE.Text_de)
    public String getEnabledTime() {
        return enabledTime;
    }
    public void setEnabledTime(String enabledTime) {
        this.enabledTime = enabledTime;
    }
    @Column(DE.Text_de)
    public String getCommunication() {
        return communication;
    }

    public void setCommunication(String communication) {
        this.communication = communication;
    }
    @Column(DE.Text_de)
    public String getOrgName() {
        return orgName;
    }
    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
    @Column(DE.Text_de)
    public String getCorporation() {
        return corporation;
    }
    public void setCorporation(String corporation) {
        this.corporation = corporation;
    }
    @Column(DE.Text_de)
    public String getLinkman() {
        return linkman;
    }
    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }
    @Column(DE.Text_de)
    public String getTel() {
        return tel;
    }
    public void setTel(String tel) {
        this.tel = tel;
    }
    @Column(DE.Text_de)
    public String getEmail() {
        return email;
    }
    public void setEmail(String email) {
        this.email = email;
    }
    @Column(DE.Text_de)
    public String getAddr() {
        return addr;
    }
    public void setAddr(String addr) {
        this.addr = addr;
    }
    @Column(DE.Text_de)
    public String getZipCode() {
        return zipCode;
    }
    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }
    public String getCreateTime() {
        return createTime;
    }
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
    public String getModifyTime() {
        return modifyTime;
    }
    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

}
