package com.ekexiu.console.system.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey("id")
@Table
public class SysResource {
	private String id;
	private String name;
	private String uri;
	private String css;
	private String script;
	private boolean modal;
	private boolean main;
	private int authRight = 0;
	private String type;

	@Column(DE.string_de)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	@Column(DE.string_de)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Column(DE.string_de)
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	@Column(DE.string_de)
	public String getUri() {
		return uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	@Column(DE.String_de)
	public String getCss() {
		return css;
	}

	public void setCss(String css) {
		this.css = css;
	}

	@Column(DE.String_de)
	public String getScript() {
		return script;
	}

	public void setScript(String script) {
		this.script = script;
	}

	@Column(DE.boolean_de)
	public boolean isModal() {
		return modal;
	}

	public void setModal(boolean modal) {
		this.modal = modal;
	}

	@Column(DE.boolean_de)
	public boolean isMain() {
		return main;
	}

	public void setMain(boolean main) {
		this.main = main;
	}

	@Column(DE.int_de)
	public int getAuthRight() {
		return authRight;
	}

	public void setAuthRight(int authRight) {
		this.authRight = authRight;
	}

}
