package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey("id")
@Table("view_allcustomer")
public class ViewAllcustomer implements CreateTimeSupported {
	private String id;
	private String email;
	private String phone;
	private String mobilePhone;
	private String createTime;
	private String activeTime;
	private Integer sendMailStatus;//send_mail_status;数据库带下横线的要去掉然后用横线后的单词第一个字母大写，int类型代表不能为空，Integer类型是可以为空，下面都要设定这个类型，在查询条件那个地方还要设定可以为空
	private String inviteCode;
	private String inviterId;
	private String userType;
	private String industry;
	private String department;
	private String office;
	private String orgId;
	private String title;
	private String name;
	private String address;
	private Integer authentication;
	private String authType;
	private Integer authStatus;
	private Integer sortFirst;
	private Integer authStatusExpert;
	private String orgname;
//String_de大写的是允许为空，小写的是不允许为空
	@Column(DE.String_de)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(DE.String_de)
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}
	@Column(DE.String_de)
	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}
	@Column(DE.String_de)
	public String getMobilePhone() {
		return mobilePhone;
	}

	public void setMobilePhone(String mobilePhone) {
		this.mobilePhone = mobilePhone;
	}
	@Column(DE.String_de)
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	@Column(DE.String_de)
	public String getActiveTime() {
		return activeTime;
	}
	public void setActiveTime(String activeTime) {
		this.activeTime = activeTime;
	}
	@Column(DE.Int_de)
	public Integer getSendMailStatus() {
		return sendMailStatus;
	}
	public void setSendMailStatus(Integer sendMailStatus) {
		this.sendMailStatus = sendMailStatus;
	}
	@Column(DE.String_de)
	public String getInviteCode() {
		return inviteCode;
	}
	public void setInviteCode(String inviteCode) {
		this.inviteCode = inviteCode;
	}
	@Column(DE.String_de)
	public String getInviterId() {
		return inviterId;
	}
	public void setInviterId(String inviterId) {
		this.inviterId = inviterId;
	}
	@Column(DE.String_de)
	public String getUserType() {
		return userType;
	}
	public void setUserType(String userType) {
		this.userType = userType;
	}
	@Column(DE.String_de)
	public String getIndustry() {
		return industry;
	}
	public void setIndustry(String industry) {
		this.industry = industry;
	}
	@Column(DE.String_de)
	public String getDepartment() {
		return department;
	}
	public void setDepartment(String department) {
		this.department = department;
	}
	@Column(DE.String_de)
	public String getOffice() {
		return office;
	}
	public void setOffice(String office) {
		this.office = office;
	}
	@Column(DE.String_de)
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	@Column(DE.String_de)
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	@Column(DE.String_de)
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Column(DE.String_de)
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	@Column(DE.Int_de)
	public Integer getAuthentication() {
		return authentication;
	}
	public void setAuthentication(Integer authentication) {
		this.authentication = authentication;
	}
	@Column(DE.String_de)
	public String getAuthType() {
		return authType;
	}
	public void setAuthType(String authType) {
		this.authType = authType;
	}
	@Column(DE.Int_de)
	public Integer getAuthStatus() {
		return authStatus;
	}
	public void setAuthStatus(Integer authStatus) {
		this.authStatus = authStatus;
	}
	@Column(DE.Int_de)
	public Integer getSortFirst() {
		return sortFirst;
	}
	public void setSortFirst(Integer sortFirst) {
		this.sortFirst = sortFirst;
	}
	@Column(DE.Int_de)
	public Integer getAuthStatusExpert() {
		return authStatusExpert;
	}
	public void setAuthStatusExpert(Integer authStatusExpert) {
		this.authStatusExpert = authStatusExpert;
	}
	@Column(DE.String_de)
	public String getOrgname() {
		return orgname;
	}
	public void setOrgname(String orgname) {
		this.orgname = orgname;
	}
}
