package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import org.jfw.apt.orm.annotation.entry.*;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/7/27.
 */
@Uniques(@Unique(clolumns = { "professorId","watchObject","watchType" }, name = "WATCH_RELATION_UQ"))
@PrimaryKey({"professorId","watchObject"})
@Table
public class Watch implements CreateTimeSupported {
    private String professorId;
    private String watchObject;
    private String createTime;
    private short watchType;
    private Resource resource;
    private Article article;

    public Resource getResource() {
        return resource;
    }
    public void setResource(Resource resource) {
        this.resource = resource;
    }
    public Article getArticle() {
        return article;
    }
    public void setArticle(Article article) {
        this.article = article;
    }

    @Column(DE.id_32)
    public String getProfessorId() {
        return professorId;
    }
    public void setProfessorId(String professorId) {
        this.professorId = professorId;
    }

    @Column(DE.string_de)
    public String getWatchObject() {
        return watchObject;
    }
    public void setWatchObject(String watchObject) {
        this.watchObject = watchObject;
    }

    public String getCreateTime() {
        return createTime;
    }
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Column(DE.short_de)
    public short getWatchType() {
        return watchType;
    }
    public void setWatchType(short watchType) {
        this.watchType = watchType;
    }

}
