package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.Consult;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2017/5/3.
 */
@ExtendView(fromSentence = "consult c LEFT JOIN professor p on c.professor_id = p.id LEFT JOIN professor pp on c.consultant_id = pp.id LEFT JOIN organization o on o.id = p.org_id LEFT JOIN organization oo on oo.id = pp.org_id ", tableAlias = "c")
public class ConsultInfo extends Consult {
    private String professorName;
    private String professorOrg;
    private String professorPhone;
    private String professorEmail;
    private String consultantName;
    private String consultantOrg;
    private String consultantPhone;
    private String consultantEmail;

    @CalcColumn(handlerClass = StringHandler.class,column = "p.phone")
    public String getProfessorPhone() {
        return professorPhone;
    }

    public void setProfessorPhone(String professorPhone) {
        this.professorPhone = professorPhone;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "p.email")
    public String getProfessorEmail() {
        return professorEmail;
    }

    public void setProfessorEmail(String professorEmail) {
        this.professorEmail = professorEmail;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "pp.phone")
    public String getConsultantPhone() {
        return consultantPhone;
    }

    public void setConsultantPhone(String consultantPhone) {
        this.consultantPhone = consultantPhone;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "pp.email")
    public String getConsultantEmail() {
        return consultantEmail;
    }

    public void setConsultantEmail(String consultantEmail) {
        this.consultantEmail = consultantEmail;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "p.name")
    public String getProfessorName() {
        return professorName;
    }

    public void setProfessorName(String professorName) {
        this.professorName = professorName;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "o.name")
    public String getProfessorOrg() {
        return professorOrg;
    }

    public void setProfessorOrg(String professorOrg) {
        this.professorOrg = professorOrg;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "pp.name")
    public String getConsultantName() {
        return consultantName;
    }

    public void setConsultantName(String consultantName) {
        this.consultantName = consultantName;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "oo.name")
    public String getConsultantOrg() {
        return consultantOrg;
    }

    public void setConsultantOrg(String consultantOrg) {
        this.consultantOrg = consultantOrg;
    }
}
