package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.AuthApply;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2017/4/13.
 */
@ExtendView(fromSentence = "auth_apply a INNER JOIN organization o on a.professor_id = o.id LEFT JOIN org_user ou on ou.id = o.id", tableAlias = "a")
public class OrgApplyInfo extends AuthApply {

    private String name;
    private String email;
    private String authStatus;

    @CalcColumn(handlerClass = StringHandler.class, column = "o.name")
    public String getName() {

        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "ou.email")
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "o.auth_status")
    public String getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(String authStatus) {
        this.authStatus = authStatus;
    }
}
