package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.Organization;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.IntHandler;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2017/5/18.
 */
@ExtendView(fromSentence = "organization o RIGHT JOIN org_user ou on ou.id = o.id LEFT JOIN (   select watch_object id,count(1) num from watch WHERE watch_type = 6 group by id)as fans  on fans.id = o.id", tableAlias = "o")
public class OrganizationInfo extends Organization {
    private String inviterId;
    private String registerEmail;
    private String accountTime;
    private boolean hasOrgLogo;
    private int fans;

    @CalcColumn(handlerClass = IntHandler.class, column = "fans.num")
    public int getFans() {
        return fans;
    }

    public void setFans(int fans) {
        this.fans = fans;
    }

    public boolean isHasOrgLogo() {
        return hasOrgLogo;
    }

    public void setHasOrgLogo(boolean hasOrgLogo) {
        this.hasOrgLogo = hasOrgLogo;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "ou.email")
    public String getRegisterEmail() {
        return registerEmail;
    }

    public void setRegisterEmail(String registerEmail) {
        this.registerEmail = registerEmail;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "ou.inviter_id")
    public String getInviterId() {
        return inviterId;
    }

    public void setInviterId(String inviterId) {
        this.inviterId = inviterId;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "ou.create_time")
    public String getAccountTime() {
        return accountTime;
    }

    public void setAccountTime(String accountTime) {
        this.accountTime = accountTime;
    }
}
