package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.Professor;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2017/5/25.
 */
@ExtendView(fromSentence = "professor p LEFT JOIN luser l on p.id = l.id LEFT JOIN cuser c on p.cuser_id = c.id LEFT JOIN organization o on p.org_id = o.id", tableAlias = "p")
public class ProfessorInfo extends Professor {

    private String activeTime;
    private String enter;
    private String orgName;

    @CalcColumn(handlerClass = StringHandler.class, column = "o.name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "c.name")
    public String getEnter() {
        return enter;
    }

    public void setEnter(String enter) {
        this.enter = enter;
    }

    @CalcColumn(handlerClass = FixLenStringHandler.class, column = "l.active_time")
    public String getActiveTime() {
        return activeTime;
    }

    public void setActiveTime(String activeTime) {
        this.activeTime = activeTime;
    }
}
