package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.Professor;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.IntHandler;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2017/8/3.
 */
@ExtendView(fromSentence = "professor p RIGHT JOIN (select luser.id,luser.email,luser.mobile_phone,luser.invite_code,luser.send_mail_status,(case when luser.active_time is not null then '1' else '0' end )active_status from luser)l on l.id = p.id LEFT JOIN organization o on o.id = p.org_id ",tableAlias = "p")
public class UserDetail extends Professor {

    private String orgName;
    private String loginPhone;
    private String loginEmail;
    private String activeStatus;
    private int sendMailStatus;

    @CalcColumn(handlerClass = StringHandler.class, column = "o.name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "l.mobile_phone")
    public String getLoginPhone() {
        return loginPhone;
    }

    public void setLoginPhone(String loginPhone) {
        this.loginPhone = loginPhone;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "l.email")
    public String getLoginEmail() {
        return loginEmail;
    }

    public void setLoginEmail(String loginEmail) {
        this.loginEmail = loginEmail;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "l.active_status")
    public String getActiveStatus() {
        return activeStatus;
    }

    public void setActiveStatus(String activeStatus) {
        this.activeStatus = activeStatus;
    }

    @CalcColumn(handlerClass = IntHandler.class, column = "l.send_mail_status")
    public int getSendMailStatus() {
        return sendMailStatus;
    }

    public void setSendMailStatus(int sendMailStatus) {
        this.sendMailStatus = sendMailStatus;
    }
}

