package com.ekexiu.console.system.service;

import com.ekexiu.console.system.dao.AuthApplyDao;
import com.ekexiu.console.system.dao.AuthImageDao;
import com.ekexiu.console.system.po.AuthImage;
import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.apt.web.annotation.param.PathVar;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2017/4/12.
 */
@Path("/authImage")
public class AuthImageService {
    @Autowrie
    private AuthImageDao authImageDao;

    @Autowrie
    private AuthApplyDao authApplyDao;

    public AuthImageDao getAuthImageDao() {
        return authImageDao;
    }

    public void setAuthImageDao(AuthImageDao authImageDao) {
        this.authImageDao = authImageDao;
    }

    public AuthApplyDao getAuthApplyDao() {
        return authApplyDao;
    }

    public void setAuthApplyDao(AuthApplyDao authApplyDao) {
        this.authApplyDao = authApplyDao;
    }

    @Get
    @Path("/byApply/{authApplyId}")
    public List<AuthImage> query(@JdbcConn Connection con, @PathVar String authApplyId) throws SQLException {
        return this.authImageDao.query(con, authApplyId);
    }
}
