package com.ekexiu.console.basepo;

import org.jfw.apt.annotation.JfwAptConfig;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.VirtualTable;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;

@JfwAptConfig("DB:PostgreSQL")
@VirtualTable
public interface CreateTimeSupported {
	@Column(handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)", fixSqlValueWithInsert = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", insertable = true, nullable = false, queryable = true, renewable = false)
	String getCreateTime();
	void setCreateTime(String createTime);
}
