package com.ekexiu.console.system.dao;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.param.Like;
import org.jfw.util.PageQueryResult;

import com.ekexiu.console.system.po.MyCustomer;



@DAO
public interface MyCustomerDao {
	@Nullable
	@SelectOne
	MyCustomer query(Connection con, String powerId) throws SQLException;
	
	@PageSelect
	@OrderBy(" ORDER BY create_time desc")
	PageQueryResult<MyCustomer> query(Connection con,@Nullable @Like String name,@Nullable @Like String address,@Nullable @Like String orgname, @Nullable String powType, @Nullable String cuserId, int pageSize, int pageNo) throws SQLException;
	
	@PageSelect
	@OrderBy(" ORDER BY create_time desc")
	PageQueryResult<MyCustomer> allquery(Connection con,@Nullable @Like String name,@Nullable @Like String address,@Nullable @Like String orgname, @Nullable String powType, @Nullable @Like String cuserName, int pageSize, int pageNo) throws SQLException;
}