package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.OrgRecord;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.Update;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.Set;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2017/7/21.
 */
@DAO
public interface OrgRecordDao {

    @Insert
    int insert(Connection con, OrgRecord orgRecord) throws SQLException;

    @Update
    int update(Connection con, OrgRecord orgRecord) throws SQLException;

    @Nullable
    @SelectOne
    OrgRecord queryById(Connection con, String id) throws SQLException;

    @UpdateWith
    @From(OrgRecord.class)
    int updateModifier(Connection con,String id,@Set String modifier,@Set String modifyTime)throws SQLException;
}
