package com.ekexiu.console.system.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.Update;

import com.ekexiu.console.system.po.SysResource;

@DAO
public interface SysResourceDao {

	@Insert
	int insert(Connection con,SysResource res) throws SQLException;
	
	@Update
	int update(Connection con, SysResource res)throws SQLException;
	
	@DeleteWith
	@From(SysResource.class)
	int delete(Connection con ,String id)throws SQLException;
	
	@OrderBy("ORDER BY ID ASC")
	@SelectList
	List<SysResource> query(Connection con)throws SQLException;	
}
