package com.ekexiu.console.system.dao;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;

import com.ekexiu.console.system.po.UserConfig;

@DAO
public interface UserConfigDao {
	
	@DeleteWith
	@From(UserConfig.class)
	int delete(Connection con,String userid,String cfkey)throws SQLException;
	@DeleteWith
	@From(UserConfig.class)
	int delete(Connection con,String userid)throws SQLException;	
	@Insert
	int insert(Connection con,UserConfig uc)throws SQLException;
	
	@SelectOne
	@Nullable
	UserConfig query(Connection con,String userid,String cfkey)throws SQLException;
}
