package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.ViewCustomer;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.param.Like;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

@DAO
public abstract class ViewCustomerDao {
	@Nullable
	@SelectOne
	public abstract ViewCustomer query(Connection con, String id) throws SQLException;
	
	@PageSelect
	@OrderBy(" ORDER BY create_time DESC")
	public abstract PageQueryResult<ViewCustomer> query(Connection con, @Nullable @Like String name,@Nullable @Like String address,@Nullable @Like String orgname, @Nullable Integer sendMailStatus, int pageSize, int pageNo) throws SQLException;

}
