package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.WIntHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/3/30.
 */
@PrimaryKey("authApplyId")
@Table
public class AuthApply implements CreateTimeSupported {

    private String authApplyId;
    private String professorId;
    private Integer applyType;
    private Integer solveStatus;
    private String createTime;

    @Column(DE.id_32)
    public String getAuthApplyId() {
        return authApplyId;
    }

    public void setAuthApplyId(String authApplyId) {
        this.authApplyId = authApplyId;
    }

    @Column(DE.id_32)
    public String getProfessorId() {
        return professorId;
    }

    public void setProfessorId(String professorId) {
        this.professorId = professorId;
    }

    @Column(handlerClass = WIntHandler.class, dbType = "INT", insertable = true, nullable = false, renewable = false, queryable = true)
    public Integer getApplyType() {
        return applyType;
    }

    public void setApplyType(Integer applyType) {
        this.applyType = applyType;
    }

    @Column(handlerClass = WIntHandler.class, dbType = "INT", insertable = true, nullable = false, renewable = true, queryable = true)
    public Integer getSolveStatus() {
        return solveStatus;
    }

    public void setSolveStatus(Integer solveStatus) {
        this.solveStatus = solveStatus;
    }

    @Override
    public String getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
