package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/5/8.
 */
@Table
@PrimaryKey("demandId")
public class Demand implements CreateTimeSupported {
    private String demandId;
    private String demander;
    private String demandAim;
    private String demandType;
    private String demandTitle;
    private String demandContent;
    private String demandStatus;
    private String createTime;
    private String closeTime;
    private long orderKey;
    private String orgId;

    @Column(DE.id_32)
    public String getDemandId() {
        return demandId;
    }

    public void setDemandId(String demandId) {
        this.demandId = demandId;
    }

    @Column(DE.id_32)
    public String getDemander() {
        return demander;
    }

    public void setDemander(String demander) {
        this.demander = demander;
    }

    @Column(DE.singleChar)
    public String getDemandAim() {
        return demandAim;
    }

    public void setDemandAim(String demandAim) {
        this.demandAim = demandAim;
    }

    @Column(DE.singleChar)
    public String getDemandType() {
        return demandType;
    }

    public void setDemandType(String demandType) {
        this.demandType = demandType;
    }

    @Column(DE.string_de)
    public String getDemandTitle() {
        return demandTitle;
    }

    public void setDemandTitle(String demandTitle) {
        this.demandTitle = demandTitle;
    }

    @Column(DE.Text_de)
    public String getDemandContent() {
        return demandContent;
    }

    public void setDemandContent(String demandContent) {
        this.demandContent = demandContent;
    }

    @Column(DE.singleChar)
    public String getDemandStatus() {
        return demandStatus;
    }

    public void setDemandStatus(String demandStatus) {
        this.demandStatus = demandStatus;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Column(handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)", insertable = true, nullable = true, queryable = true, renewable = false)
    public String getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(String closeTime) {
        this.closeTime = closeTime;
    }

    @Column(DE.long_de)
    public long getOrderKey() {
        return orderKey;
    }

    public void setOrderKey(long orderKey) {
        this.orderKey = orderKey;
    }

    @Column(value = DE.id_32, nullable = true)
    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

}