package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import org.jfw.apt.orm.annotation.entry.*;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.defaultImpl.WIntHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/7/13.
 */
@PrimaryKey("id")
@Uniques({ @Unique(clolumns = "email", name = "USER_EMAIL_UQ"),
        @Unique(clolumns = "mobilePhone", name = "USER_MOBILEPHONE_UQ") })
@Table(value="LUSER")
public class Luser implements CreateTimeSupported {
    private String id;
    private String email;
    private String mobilePhone;
    private String passwd;
    private String userType;
    private String createTime;
    private String inviteCode;
    private Integer sendMailStatus;
    private String inviterId;
    private String activeTime;

    @Column(DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(DE.Email_de)
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @Column(DE.MobilePhone_de)
    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    @Column(DE.md5_de)
    public String getPasswd() {
        return passwd;
    }

    public void setPasswd(String passwd) {
        this.passwd = passwd;
    }

    @Column(DE.singleChar)
    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Column(value= DE.String_de,dbType="VARCHAR(32)")
    public String getInviteCode() {
        return inviteCode;
    }

    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode;
    }

    @Column(handlerClass=WIntHandler.class,dbType="INT",insertable=false,nullable=true,renewable=false,queryable=true)
    public Integer getSendMailStatus() {
        return sendMailStatus;
    }

    public void setSendMailStatus(Integer sendMailStatus) {
        this.sendMailStatus = sendMailStatus;
    }

    @Column(handlerClass=StringHandler.class,dbType="CHAR(32)",insertable = true,renewable=false,queryable=true,nullable=true)
    public String getInviterId() {
        return inviterId;
    }

    public void setInviterId(String inviterId) {
        this.inviterId = inviterId;
    }

    @Column(handlerClass=FixLenStringHandler.class,dbType="CHAR(14)",nullable=true,insertable=true,renewable=false,queryable=true)
    public String getActiveTime() {
        return activeTime;
    }

    public void setActiveTime(String activeTime) {
        this.activeTime = activeTime;
    }

}