package com.ekexiu.console.system.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/7/20.
 */
@Table
@PrimaryKey("id")
public class OrgRecord {

    private String id;
    private String createTime;
    private String creator;
    private String modifyTime;
    private String modifier;

    @Column(DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(handlerClass=FixLenStringHandler.class,dbType="CHAR(32)",insertable=true,nullable=true,renewable=true,queryable=true)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Column(handlerClass=FixLenStringHandler.class,dbType="CHAR(32)",insertable=true,nullable=true,renewable=true,queryable=true)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Column(DE.Text_de)
    public String getModifyTime() {
        return modifyTime;
    }


    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    @Column(DE.Text_de)
    public String getCreateTime() {
        return createTime;
    }


    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
