package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/7/26.
 */
@PrimaryKey("id")
@Table
public class Ppaper implements CreateTimeSupported {
    private String id; // char(32)  NOT NULL,
    private String name; // text COLLATE "zh_CN.utf8" NOT NULL,
    private long pageViews;// int8 DEFAULT 0 NOT NULL,
    private String cn4periodical;// text,
    private String en4periodical;// text,
    private String periodicaltype;// text,
    private String pubDay;// text,
    private String summary;// text COLLATE "zh_CN.utf8" NOT NULL,
    private String keywords;// text COLLATE "zh_CN.utf8",
    private String ref_param;// text);
    private String createTime;
    private String authors;
    private long sortNum;
    private long shareId;


    public String getCreateTime() {
        return createTime;
    }
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
    @Column(DE.text_de)
    public String getAuthors() {
        return authors;
    }
    public void setAuthors(String authors) {
        this.authors = authors;
    }
    @Column(DE.long_de)
    public long getSortNum() {
        return sortNum;
    }
    public void setSortNum(long sortNum) {
        this.sortNum = sortNum;
    }
    @Column(DE.id_32)
    public String getId() {
        return id;
    }
    public void setId(String id) {
        this.id = id;
    }
    @Column(DE.text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    @Column(value=DE.long_de)
    public long getPageViews() {
        return pageViews;
    }
    public void setPageViews(long pageViews) {
        this.pageViews = pageViews;
    }
    @Column(DE.Text_de)
    public String getCn4periodical() {
        return cn4periodical;
    }
    public void setCn4periodical(String cn4periodical) {
        this.cn4periodical = cn4periodical;
    }
    @Column(DE.Text_de)
    public String getEn4periodical() {
        return en4periodical;
    }
    public void setEn4periodical(String en4periodical) {
        this.en4periodical = en4periodical;
    }
    @Column(DE.Text_de)
    public String getPeriodicaltype() {
        return periodicaltype;
    }
    public void setPeriodicaltype(String periodicaltype) {
        this.periodicaltype = periodicaltype;
    }
    @Column(DE.text_de)
    public String getPubDay() {
        return pubDay;
    }
    public void setPubDay(String pubDay) {
        this.pubDay = pubDay;
    }
    @Column(DE.text_de)
    public String getSummary() {
        return summary;
    }
    public void setSummary(String summary) {
        this.summary = summary;
    }
    @Column(DE.Text_de)
    public String getKeywords() {
        return keywords;
    }
    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }
    @Column(DE.Text_de)
    public String getRef_param() {
        return ref_param;
    }
    public void setRef_param(String ref_param) {
        this.ref_param = ref_param;
    }
    @Column(DE.bigSerial)
    public long getShareId() {
        return shareId;
    }
    public void setShareId(long shareId) {
        this.shareId = shareId;
    }



}
