package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.AuthApply;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.defaultImpl.WIntHandler;

/**
 * Created by TT on 2017/3/31.
 */
@ExtendView(fromSentence = "auth_apply a INNER JOIN professor p on a.professor_id = p.id  LEFT JOIN organization o on p.org_id = o.id",tableAlias = "a")
public class AuthApplyInfo extends AuthApply {

    //private String authSrc;
    private String name;
    private String orgName;
    private String office;
    private String title;
    private String department;
    private Integer authStatusExpert;
    private Integer authStatus;
    private String idCard;

    @CalcColumn(handlerClass = StringHandler.class,column = "p.id_card")
    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "p.phone")
    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    private String phone;

    @CalcColumn(handlerClass=StringHandler.class,column="p.name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @CalcColumn(handlerClass=StringHandler.class,column="o.name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @CalcColumn(handlerClass=StringHandler.class,column="p.office")
    public String getOffice() {
        return office;
    }

    public void setOffice(String office) {
        this.office = office;
    }

    @CalcColumn(handlerClass=StringHandler.class,column="p.title")
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @CalcColumn(handlerClass=StringHandler.class,column="p.department")
    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    @CalcColumn(handlerClass=WIntHandler.class,column="p.auth_status_expert")
    public Integer getAuthStatusExpert() {
        return authStatusExpert;
    }

    public void setAuthStatusExpert(Integer authStatusExpert) {
        this.authStatusExpert = authStatusExpert;
    }

    @CalcColumn(handlerClass=WIntHandler.class,column="p.auth_status")
    public Integer getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
    }
}
