package com.ekexiu.console.system.vo;

import com.ekexiu.console.system.po.Dict;

public class DictInfo {
	private String code;
	private String caption;
	private String descp;
	private boolean readonly;
	private boolean tree;
	
	
	
	public DictInfo(){}
	public DictInfo(Dict dict){
		this.code = dict.getCode();
		this.caption = dict.getCaption();
		this.descp = dict.getDescp();
		this.readonly = dict.isReadonly();
		this.tree = dict.isTree();
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getCaption() {
		return caption;
	}
	public void setCaption(String caption) {
		this.caption = caption;
	}
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	public boolean isReadonly() {
		return readonly;
	}
	public void setReadonly(boolean readonly) {
		this.readonly = readonly;
	}
	public boolean isTree() {
		return tree;
	}
	public void setTree(boolean tree) {
		this.tree = tree;
	}
	
	
}
